Summary: C++ GUI toolkit
Name: v
Version: 1.15
Release: 1
Copyright: GNU Library Public License
Group: X11/Libraries
Source: ftp://ftp.cs.unm.edu/pub/wampler/v-1.15.tar.gz
Patch: v-1.15-1.diff
Packager: Jon Klaren <jklaren@qualcomm.com>

Buildroot: /tmp/rpmbuild


%description
V is a C++ Graphical User Interface Framework designed to provide an
easy to use and program system for building GUI applications. The
framework is small, elegant, and provides the tools required for
building all but the most specialized applications.

The V framework has also been designed to be portable. Currently,
supported for X11, MS Windows 3.1, MS WIN32 (Win95 an WinNT).  OS/2
and Macintosh are on the way

%prep
%setup -n v
%patch -p1

%build
# make static libraries
make linux
# make shared ELF libraries
make linuxelf

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT installLinux
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT installLinuxElf

%post
ldconfig

%files
%doc BUGS COPYING COPYING.LIB RDMEWIN.TXT README 
%doc install.txt vfaq.txt

%dir /usr/include/v
/usr/include/v/aw3d.h
/usr/include/v/aw3dp.h
/usr/include/v/awcmd3d.h
/usr/include/v/awcmd3dp.h
/usr/include/v/awlbl3d.h
/usr/include/v/awlbl3dp.h
/usr/include/v/awscl3d.h
/usr/include/v/awscl3dp.h
/usr/include/v/awsim3d.h
/usr/include/v/awsim3dp.h
/usr/include/v/awsld3d.h
/usr/include/v/awsld3dp.h
/usr/include/v/awtog3d.h
/usr/include/v/awtog3dp.h
/usr/include/v/canvas.h
/usr/include/v/canvasp.h
/usr/include/v/v_defs.h
/usr/include/v/vapp.h
/usr/include/v/vawinfo.h
/usr/include/v/vbaseitm.h
/usr/include/v/vbasewin.h
/usr/include/v/vbrush.h
/usr/include/v/vbtncmd.h
/usr/include/v/vcanvas.h
/usr/include/v/vcb2x4.h
/usr/include/v/vcb2x8.h
/usr/include/v/vcbtncmd.h
/usr/include/v/vchkboxc.h
/usr/include/v/vclabelc.h
/usr/include/v/vcmd.h
/usr/include/v/vcmdpane.h
/usr/include/v/vcmdprnt.h
/usr/include/v/vcmdwin.h
/usr/include/v/vcolor.h
/usr/include/v/vcomboc.h
/usr/include/v/vcpdc.h
/usr/include/v/vctlclrs.h
/usr/include/v/vdc.h
/usr/include/v/vdebug.h
/usr/include/v/vdialog.h
/usr/include/v/vfilesel.h
/usr/include/v/vfinddlg.h
/usr/include/v/vfont.h
/usr/include/v/vfontlst.h
/usr/include/v/vfontsel.h
/usr/include/v/vframec.h
/usr/include/v/vicon.h
/usr/include/v/vkeys.h
/usr/include/v/vlabelc.h
/usr/include/v/vlistc.h
/usr/include/v/vmemdc.h
/usr/include/v/vmenu.h
/usr/include/v/vmodald.h
/usr/include/v/vpane.h
/usr/include/v/vnlprntr.h
/usr/include/v/vnotice.h
/usr/include/v/vnulldc.h
/usr/include/v/vpen.h
/usr/include/v/vprintdc.h
/usr/include/v/vprinter.h
/usr/include/v/vprogrsc.h
/usr/include/v/vpsdc.h
/usr/include/v/vpsprntr.h
/usr/include/v/vradioc.h
/usr/include/v/vreply.h
/usr/include/v/vsliderc.h
/usr/include/v/vspinc.h
/usr/include/v/vstatusp.h
/usr/include/v/vtextc.h
/usr/include/v/vtextcnv.h
/usr/include/v/vtexted.h
/usr/include/v/vtextinc.h
/usr/include/v/vtimer.h
/usr/include/v/vutil.h
/usr/include/v/vwindow.h
/usr/include/v/vx2vkey.h
/usr/include/v/vxdc.h
/usr/include/v/vxutil.h
/usr/include/v/vynreply.h
/usr/lib/libV.a
/usr/lib/libV.so.1.15
/usr/lib/libV.so.1
/usr/lib/libV.so
/usr/X11/bin/ThisIs
/usr/X11/bin/v1
/usr/X11/bin/vgen
/usr/X11/bin/viconed
